package com.hzs.bonus.detail.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.detail.CuRegionAssessDetail;

import java.util.Date;
import java.util.List;

/**
 * 新零售会员区域考核明细表 服务类
 */
public interface ICuRegionAssessDetailService extends IService<CuRegionAssessDetail> {

    /*
     *  考核开始日期
     **/
    void deleteAssessRegionDetailByDate(Date assessStartDate, Integer assessPeriod);

    /*
     *  删除重复的数据
     **/
    void updateAssessRegionDetailByDate(Date assessStartDate, Date assessEndDate);

    List<Long> batchQueryCuRegionAssessDetailSeq(Integer rowNum);

    /*
     *  批量插入区域考核数据
     **/
    void batchInsertCuRegionAssessDetail(List<?> cuRegionAssessDetailList);

    /*
     *  根据上月数据考核区域
     **/
    void assessCuRegionAssessDetail(String rangeTableName, Date assessDate);
}
